Bug 445899

Summary: Cannot open "Places" tab with touchscreen
Product: [Plasma] plasmashell Reporter: personalizedrefrigerator
Component: Application Launcher (Kickoff)Assignee: David Edmundson <kde>
Status: RESOLVED FIXED    
Severity: normal CC: bugseforuns, mikel5764, nate, noahadvs, plasma-bugs, qydwhotmail
Priority: VHI Keywords: regression
Version: 5.23.3   
Target Milestone: 1.0   
Platform: Fedora RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 5.91
Sentry Crash Report:

Description personalizedrefrigerator 2021-11-22 07:07:37 UTC
SUMMARY

Tapping the "Places" button does not open the "Places" tab in Kickoff. Similarly, the menu items on the left side of "Places" do not respond to taps (but do seem to open when swiped).


STEPS TO REPRODUCE
1. Open Kickoff
2. Tap on "Places" with a touchscreen
3. Click on "Places" with a mouse
4. Tap on "Frequently Used", then "Computer" in the "Places" sidebar

OBSERVED RESULT
"Places" does not open when tapped, but does open when clicked. Similarly, tapping "Frequently Used" and/or "Computer" does not select either submenu.

EXPECTED RESULT
Tapping on these buttons/tab labels should have the same effect as clicking them.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Wayland/Fedora 35
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
I've only tested this on Wayland.
Comment 1 Nate Graham 2021-11-23 17:26:10 UTC
Can reproduce.
Comment 2 personalizedrefrigerator 2021-11-29 23:30:02 UTC
I am also unable to check/uncheck the "inhibit automatic screen sleeping and locking"/"enable Bluetooth" checkboxes with a touchscreen (also on Wayland).
Comment 3 Nate Graham 2021-11-30 17:41:36 UTC
I can reproduce that too. It seems to affect all Plasma checkboxes. Can you file a separate bug report for that on "frameworks-plasma | components", and cc me (nate@kde.org?) Thanks!
Comment 4 Arjen Hiemstra 2022-01-20 14:36:54 UTC
Git commit a83321120e39a78d270607547da54b93e67bbd88 by Arjen Hiemstra.
Committed on 20/01/2022 at 14:05.
Pushed by ngraham into branch 'master'.

Do not use Control for PC3::IconLabel

This results in a control nested in a control and prevents certain
events (like touch tap) from being properly handled by the actual
control.
Related: bug 446303
FIXED-IN: 5.91

M  +27   -4    src/declarativeimports/plasmacomponents3/private/IconLabel.qml

https://invent.kde.org/frameworks/plasma-framework/commit/a83321120e39a78d270607547da54b93e67bbd88